import { request } from '@umijs/max';

// 
export default {
    //创建分组
    Add(parms: AgvlineInfoTypes.Info) {
        return request('/api/agvline/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //删除
    Del(parms: AgvlineInfoTypes.Info) {
        return request(`/api/agvline/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //修改
    Update(parms: AgvlineInfoTypes.Info) {
        return request('/api/agvline/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //列表
    List() {
        return request('/api/agvline/list', {
            method: 'POST',
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: AgvlineInfoTypes.Page) {
        return request('/api/agvline/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    // 下拉
    selectlist() {
        return request('/api/agvline/selectlist', {
            method: 'GET'
        }

        )
    }
}

